TeraGen.SortGenMapper (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.examples.terasort
Class TeraGen.SortGenMapper

    java.lang.Object
      org.apache.hadoop.mapred.MapReduceBase
          org.apache.hadoop.examples.terasort.TeraGen.SortGenMapper

All Implemented Interfaces:
  Closeable, JobConfigurable, Mapper<LongWritable,NullWritable,Text,Text>

Enclosing class:
  TeraGen

    public static class TeraGen.SortGenMapper

extends MapReduceBase
implements Mapper<LongWritable,NullWritable,Text,Text>

The Mapper class that given a row number, will generate the appropriate output line.

Constructor Summary
`TeraGen.SortGenMapper()`

Method Summary
`void` | `map(LongWritable row, NullWritable ignored, OutputCollector<Text,Text> output, Reporter reporter)` Maps a single input key/value pair into an intermediate key/value pair.

Methods inherited from class org.apache.hadoop.mapred.MapReduceBase
`close, configure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.mapred.JobConfigurable
`configure`

Methods inherited from interface java.io.Closeable
`close`

Constructor Detail

### TeraGen.SortGenMapper

    public TeraGen.SortGenMapper()

Method Detail

### map

    public void map(LongWritable row,
                    NullWritable ignored,
                    OutputCollector<Text,Text> output,
                    Reporter reporter)
             throws IOException

  Description copied from interface: `Mapper`
  Maps a single input key/value pair into an intermediate key/value pair.

  Output pairs need not be of the same types as input pairs. A given input pair may map to zero or many output pairs. Output pairs are collected with calls to `OutputCollector.collect(Object,Object)`.

  Applications can use the `Reporter` provided to report progress or just indicate that they are alive. In scenarios where the application takes an insignificant amount of time to process individual key/value pairs, this is crucial since the framework might assume that the task has timed-out and kill that task. The other way of avoiding this is to set mapred.task.timeout to a high-enough value (or even zero for no time-outs).

  Specified by:
    `map` in interface `Mapper<LongWritable,NullWritable,Text,Text>`
  Parameters:
    `row` - the input key.
    `ignored` - the input value.
    `output` - collects mapped keys and values.
    `reporter` - facility to report progress.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation